MetricSetControllerMoveElementBeforeOnMetricSet Method |
POST /MetricSet/MoveElementBefore/{id}
Moves an element before another element in a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("MoveElementBefore")]
public IActionResult MoveElementBeforeOnMetricSet(
Guid id,
[FromBodyAttribute] MoveElementBeforeOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("MoveElementBefore")>
Public Function MoveElementBeforeOnMetricSet (
id As Guid,
<FromBodyAttribute> options As MoveElementBeforeOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"MoveElementBefore")]
IActionResult^ MoveElementBeforeOnMetricSet(
Guid id,
[FromBodyAttribute] MoveElementBeforeOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("MoveElementBefore")>]
member MoveElementBeforeOnMetricSet :
id : Guid *
[<FromBodyAttribute>] options : MoveElementBeforeOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set. - options
- Type: Dundas.BI.WebApi.ModelsMoveElementBeforeOptions
The options to move the element. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also